> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.propertypal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.propertypal.com/_mcp/server.

# Remove listing

DELETE https://rightmove-feed.propertypal.com/v2/property/commercial/{reference}
Content-Type: application/json

**Withdraw a property from PropertyPal.**

Once deleted, the property no longer appears on PropertyPal and will not be returned by GET endpoints. Any associated space listings are also removed.

### Request body

| Field | Description |
| --- | --- |
| `agentId` | Your branch identifier. Must match the agent the property was created against. |
| `removalReason` | One of `SOLD_BY_US`, `SOLD_BY_ANOTHER_AGENT`, `WITHDRAWN_FROM_MARKET`, `LOST_INSTRUCTION`, `LET_BY_US`, `REMOVED`. |

### Response

- **`200 OK`** — listing removed.
- **`404 Not Found`** — no matching property for the (`reference`, `agentId`) pair.


Reference: https://apidocs.propertypal.com/api-reference/commercial-listings-api/property/remove-listing

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Rightmove 2.0
  version: 1.0.0
paths:
  /v2/property/commercial/{reference}:
    delete:
      operationId: removeListing
      summary: Remove listing
      description: >
        **Withdraw a property from PropertyPal.**


        Once deleted, the property no longer appears on PropertyPal and will not
        be returned by GET endpoints. Any associated space listings are also
        removed.


        ### Request body


        | Field | Description |

        | --- | --- |

        | `agentId` | Your branch identifier. Must match the agent the property
        was created against. |

        | `removalReason` | One of `SOLD_BY_US`, `SOLD_BY_ANOTHER_AGENT`,
        `WITHDRAWN_FROM_MARKET`, `LOST_INSTRUCTION`, `LET_BY_US`, `REMOVED`. |


        ### Response


        - **`200 OK`** — listing removed.

        - **`404 Not Found`** — no matching property for the (`reference`,
        `agentId`) pair.
      tags:
        - property
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 200 — Removed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Property_removeListing_Response_200'
        '401':
          description: 401 — Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveListingRequestUnauthorizedError'
        '403':
          description: 403 — Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveListingRequestForbiddenError'
        '404':
          description: 404 — Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveListingRequestNotFoundError'
        '429':
          description: 429 — Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveListingRequestTooManyRequestsError'
        '502':
          description: 502 — Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveListingRequestBadGatewayError'
        '503':
          description: 503 — Service Unavailable
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RemoveListingRequestServiceUnavailableError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                agentId:
                  type: integer
                removalReason:
                  type: string
servers:
  - url: https://rightmove-feed.propertypal.com
    description: https://rightmove-feed.propertypal.com
components:
  schemas:
    Property_removeListing_Response_200:
      type: object
      properties: {}
      title: Property_removeListing_Response_200
    RemoveListingRequestUnauthorizedError:
      type: object
      properties: {}
      title: RemoveListingRequestUnauthorizedError
    RemoveListingRequestForbiddenError:
      type: object
      properties: {}
      title: RemoveListingRequestForbiddenError
    V2PropertyCommercialReferenceDeleteResponsesContentApplicationJsonSchema:
      type: object
      properties:
        traceId:
          type: string
        timestamp:
          type: string
          format: date-time
      title: V2PropertyCommercialReferenceDeleteResponsesContentApplicationJsonSchema
    RemoveListingRequestNotFoundError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
        properties:
          $ref: >-
            #/components/schemas/V2PropertyCommercialReferenceDeleteResponsesContentApplicationJsonSchema
      title: RemoveListingRequestNotFoundError
    RemoveListingRequestTooManyRequestsError:
      type: object
      properties: {}
      title: RemoveListingRequestTooManyRequestsError
    RemoveListingRequestBadGatewayError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
      title: RemoveListingRequestBadGatewayError
    RemoveListingRequestServiceUnavailableError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
      title: RemoveListingRequestServiceUnavailableError
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{
  "agentId": 12345,
  "removalReason": "WITHDRAWN_FROM_MARKET"
}
```

**Response**

```json
{}
```

**SDK Code**

```python Property_removeListing_example
import requests

url = "https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001"

payload = {
    "agentId": 12345,
    "removalReason": "WITHDRAWN_FROM_MARKET"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript Property_removeListing_example
const url = 'https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001';
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"agentId":12345,"removalReason":"WITHDRAWN_FROM_MARKET"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Property_removeListing_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001"

	payload := strings.NewReader("{\n  \"agentId\": 12345,\n  \"removalReason\": \"WITHDRAWN_FROM_MARKET\"\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Property_removeListing_example
require 'uri'
require 'net/http'

url = URI("https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"agentId\": 12345,\n  \"removalReason\": \"WITHDRAWN_FROM_MARKET\"\n}"

response = http.request(request)
puts response.read_body
```

```java Property_removeListing_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"agentId\": 12345,\n  \"removalReason\": \"WITHDRAWN_FROM_MARKET\"\n}")
  .asString();
```

```php Property_removeListing_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001', [
  'body' => '{
  "agentId": 12345,
  "removalReason": "WITHDRAWN_FROM_MARKET"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Property_removeListing_example
using RestSharp;

var client = new RestClient("https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"agentId\": 12345,\n  \"removalReason\": \"WITHDRAWN_FROM_MARKET\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Property_removeListing_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "agentId": 12345,
  "removalReason": "WITHDRAWN_FROM_MARKET"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rightmove-feed.propertypal.com/v2/property/commercial/DEMO-001")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```